/***********************************************************************************************/
/************************************** ericmath.h *********************************************/
/***********************************************************************************************/

#ifndef ERICMATH_H
#define ERICMATH_H

/***********************************************************************************************/
/************************************ Standard Headers *****************************************/
/***********************************************************************************************/
#include <math.h>

/***********************************************************************************************/
/**************************************** My Headers *******************************************/
/***********************************************************************************************/
#ifdef __ERICMATH
#include "gui.h"
#include "command.h"
#endif

#define PI_TWO							1.570796327
#define PI								3.141592654 
#define TWO_PI							6.283185307 

double sec(double number);
double sign(double input);
double squarewave(double frequency, double amplitude, double mean);
double sinewave(double frequency, double amplitude, double mean);


#ifdef __MAIN
#define EXTERN

#else
#define EXTERN extern

#endif

#endif
